Subject: Re: [PATCH 0/5] Fix verify_lock() to report errors via strbuf

From: Junio C Hamano <[email-masked]>
Date: Wed, 27 May 2015 12:55:10 -0700

Michael Haggerty <[email-masked]> writes:

> The last sentence is nonsense. This patch series relies on
> lock_ref_sha1_basic() having a "strbuf *err" parameter, which is only
> the case since
>
>     4a32b2e lock_ref_sha1_basic(): report errors via a "struct strbuf
> *err" (2015-05-11)
>
> The latter commit is in mh/ref-directory-file (which has now been merged
> to master, so technically the last sentence is now correct again).

[5/5] seems to conflict with the write_ref_sha1() vs write_ref_to_lockfile()
updates; I think I can manage, though ;-)